﻿using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using GGJ_Engine;

namespace GGJ_Game.InterfaceElements
{
    public class InterfaceElementScreen : InterfaceElement
    {
        public string TextureName { get; set; }

        public InterfaceElementScreen(ContentManager content) :
            base(content)
        {
        }

        public override void LoadContent()
        {
            this.inactiveTexture = content.Load<Texture2D>(TextureName);
            this.pressedTexture = content.Load<Texture2D>(TextureName);
            this.hoverTexture = content.Load<Texture2D>(TextureName);
            this.disabledTexture = null;
        }
    }
}
