﻿using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using GGJ_Engine;

namespace GGJ_Game.InterfaceElements
{
    public class InterfaceElementUpgradeBar : InterfaceElement
    {
        public string TextureName { get; set; }



        public InterfaceElementUpgradeBar(ContentManager content, string textureName) :
            base(content)
        {
            this.TextureName = textureName;
        }

        public override void LoadContent()
        {
            this.inactiveTexture = content.Load<Texture2D>(TextureName);
            this.pressedTexture = content.Load<Texture2D>(TextureName);
            this.hoverTexture = content.Load<Texture2D>(TextureName);
            this.disabledTexture = content.Load<Texture2D>(TextureName);
        }
    }
}
